#ifndef _BLOCK_
#define _BLOCK_


#include "Entity.hpp"


class Block : public Entity
{
public:
	Block(Game* g, bool p_destructable);

	virtual ~Block(){}

	bool isDestructable();
	void onTouch(Entity* Toucher) override final;
	virtual void onHit() = 0;///< when the entity recieves damage
	void Render() override;
	void onTick(float time) override;
protected:
	bool destructable;

private:
	float rotationCounter;
	float Z;
	float animationCounter;	
	float v;
};
#endif // _BLOCK_
